# EESy File Service

The EESy file service implements the *file* resource of the EESy API.
Restricted Access !
Existing customer can request access via [Customer Support for Digital](https://customersupport.digital.slb.com/).
Automatic population of the API Key and S-Auth token is not supported in the "Try It" interface for this API.

```plain Client ID
service-eesy.slbservice.com
```

Version: 1.0

## Servers

```
https://api.delfi.slb.com/engines/v1
```

## Security

### Bearer

User or Service/App/Client Token from SAuth

Type: apiKey
In: header
Name: Authorization

### appkey

AppKey/ Consumer Key from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [EESy File Service](https://developer.slb.com/_bundle/solutions/engine-ecosystem/apis/eesy_file_service_openapi.yaml)

## Files

 - [POST /sessions/{session}/filestores/{filestore}/files](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/files/postfile.md): Creates a new, empty file in the file store and its backing storage. If the file already exists, it will be overridden.
 - [PUT /sessions/{session}/filestores/{filestore}/files](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/files/putfiles.md): Create or update a list of files.
 - [GET /sessions/{session}/filestores/{filestore}/files](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/files/listfiles.md): Obtains a list of files.
 - [DELETE /sessions/{session}/filestores/{filestore}/files](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/files/deletefiles.md): Deletes files and directories.
 - [GET /sessions/{session}/filestores/{filestore}/files/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/files/getfile.md): Obtains a specific file by name.
 - [DELETE /sessions/{session}/filestores/{filestore}/files/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/files/deletefile.md): Remove a file from a file store.
## Operations

 - [POST /sessions/{session}/filestores/{filestore}/operations](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/operations/postoperation.md): Post and execute a new operation on the file store.
## Schema Definitions

 - [EESy File Object](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/schema-definitions/file.md): Schema: #/components/schemas/File
 - [EESy file List](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/schema-definitions/filelist.md): Schema: #/components/schemas/FileList
 - [EESy file object metadata](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/schema-definitions/filemetadata.md): Schema: #/components/schemas/FileMetadata
 - [EESy File Store Operation Object](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/schema-definitions/filestoreoperation.md): Schema: #/components/schemas/FileStoreOperation
 - [EESy object metadata](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/schema-definitions/objectmetadata.md): Schema: #/components/schemas/ObjectMetadata
 - [EESy Request Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_file_service_openapi/schema-definitions/status.md): Schema: #/components/schemas/Status
